libxtst [RISOLTO]

3 risposte [Ultimo messaggio]
Ritratto di gioli
gioli
(Monster)
Offline
Monster
Iscritto: 16/12/2006
Messaggi: 382

Sto cercando di far funzionare dei programmi per realizzare una LIM (Lavagna Interattiva Multimediale) in Linux.
Uno dei pacchetti che mi servono è libxtst6-devel ma non riesco ad installarlo perché mi segnala questo errore:

Citazione:

1 transazioni dell'installazione fallite

Si è verificato un problema durante l'installazione:

il file /usr/share/doc/libX11/Framework.html dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/Framework.ps dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/LocaleDB.html dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/LocaleDB.ps dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/Trans.html dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/Trans.ps dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/libX11.html dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/libX11.ps dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/xim.html dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

il file /usr/share/doc/libX11/xim.ps dell'installazione di libx11_6-devel-1.3.3-1mdv2010.1.i586 entra in conflitto con il file del pacchetto lib64x11_6-devel-1.3.3-1mdv2010.1.x86_64

  
 Qualche idea su come risolverlo?

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Stai cercando di installare il pacchetto i586 su di una x86_64, disabilita le sorgenti i586 e poi riprova, sempre che tu non abbia già fatto troppi danni.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di gioli
gioli
(Monster)
Offline
Monster
Iscritto: 16/12/2006
Messaggi: 382

Non capico. Io non ho abilitato di proposito nessuna fonte a 32 bit, mi sono limitato ad aggingere nel solito modo standard tutte le fonti. Perchè il sistema da solo non le imposta in modo corretto ?
Ho disabilitato tutte le fonti che avevano un "32" nel nome
main32 media
restricted 32 media
Main 32
Main32 Updates
Restricted
Restricted Updates

ho rimosso una "libxtst6" per i586 già installata e adesso cercando "libxtst6" non mi propone nulla!

Ritratto di gioli
gioli
(Monster)
Offline
Monster
Iscritto: 16/12/2006
Messaggi: 382

Cercando in internet ho trovato la soluzione. La libreria in questione nella versione per le architetture a 64 bit cambia il nome in lib64xtst6-devel (la versione per i 32 bit invece è libxtst6) e per questo non la trovavo. Fra l'altro è già installata, almeno nel mio sistema.